## NAME

db.login - Sets user/password for driver/database.

## KEYWORDS

database, connection settings

## SYNOPSIS

db.login
db.login help
db.login driver=name database=name [user=string] [password=string] [--verbose] [--quiet]

### Parameters:

driver=name
  Driver name
  Options: dbf,odbc,ogr,pg,sqlite
  Default: dbf
database=name
  Database name
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/dbf/
user=string
  Username
password=string
  Password

## DESCRIPTION

db.login sets the user name and optionally also a password for the connection to the selected database through the DB driver.

## NOTE

This is only related to SQL database backends like PostgreSQL, MySQL or ODBC. The passwords are stored in a hidden unencrypted file in the user account ('home' directory) called .grasslogin64. Only the file owner can access this file.

## EXAMPLES

Only username specified (password will be interactively queried to remain invisible):

    db.login user=bacava

Username and password specified (note that the command lines history will store the password in this way):

    db.login user=bacava password=secret

Username and empty password specified (note that the command lines history will store the password in this way):

    db.login user=bacava password=""

## SEE ALSO

db.connect, db.test

SQL support in GRASS GIS

## AUTHOR

Radim Blazek

Last changed: $Date: 2014-02-01 17:15:32 +0100 (so, 01 II 2014) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team